classification
Title: Use specific asserts in decimal tests
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: skrah Nosy List: facundobatista, mark.dickinson, rhettinger, serhiy.storchaka, skrah
Priority: normal Keywords: easy, patch

Created on 2014-02-07 20:27 by serhiy.storchaka, last changed 2015-07-27 13:19 by skrah. This issue is now closed.

Files
File name Uploaded Description Edit
test_decimal_asserts.patch serhiy.storchaka, 2014-02-07 20:27 review
Messages (3)
msg210548 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-02-07 20:27
The proposed patch makes the decimal module tests use more specific asserts. This will provide more useful failure report.
msg210552 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2014-02-07 20:45
I must say that I'm moderately against these kinds of changes since
the benefit is small. The original reason for keeping the older
forms of assert* was to keep the diffs between 2.5-3.x manageable.

Perhaps that reason is gone now, but still: If anything changes,
I must update my private test suite, perhaps deal with merge
conflicts etc...
msg247466 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2015-07-27 13:19
Closing, since I'm -0 and usually Raymond is against these kinds of
changes (Raymond: please correct me if I'm wrong).
History
Date User Action Args
2015-07-27 13:19:28skrahsetstatus: open -> closed
resolution: rejected
messages: + msg247466

stage: patch review -> resolved
2014-02-08 14:44:38serhiy.storchakasetassignee: skrah
2014-02-07 20:45:02skrahsetnosy: + skrah
messages: + msg210552
2014-02-07 20:30:27serhiy.storchakalinkissue16510 dependencies
2014-02-07 20:27:16serhiy.storchakacreate